package com.qihoo.security.floatview.service;

interface IFloatViewService {
    /** 开启、关闭浮窗 */
	void setEnabled(boolean enabled);

    /** 浮窗是否开启 */
	boolean isFloatViewEnabled();

    /** 控制浮窗显示方式，只在桌面显示；一直显示； */
    void setFloatViewMode(int mode);

    /** 获取浮窗显示的方式 */
    int getFloatViewMode();

    /** 展开大浮窗 */
    void setFloatWindowShown(boolean shown,int index);

    /**大悬浮窗开关顺序改变*/
    void notifyFloatWindowOrderChange();
    
    /**显示拖动清理的动画 */
    void showDragCleanAnim();
}