package com.qihoo.security.service;

interface IBlockService {
    void setBlockPolicyMode(int mode);

    void setBlockBlack(boolean enabled);

    void setWhiteValid(boolean enabled);

    void setBlockContactMsg(boolean enabled);

    void setBlockContactCall(boolean enabled);

    void setBlockStrangerMsg(int mode);

    void setBlockStrangerCall(boolean enabled);

    void setBlockSpamCall(boolean enabled);

    void setBlockEnabled(boolean enabled);

    boolean isLoadDataFinish();
    
    int isBlockMessage(String number,String content);
    
    void setBlockHideNumber(boolean enabled);
    
    boolean isBlackNumber(String number);

    boolean isWhiteNumber(String number);

    void delBlackNumberfromCache(String number);

    void delWhiteNumberfromCache(String number);
    
    void addCustomKeyword(String word);

    void delCustomKeyword(String word);
    
    List<String> getCustomKeyword();
    
    boolean isCustomRule(int blockvalue);

    int getRealBlockValue(int blockvalue);
    
    boolean isHideNumber(String number);
    
    String getMatchBlackNumber(String number);

    String getMatchWhiteNumber(String number);
}