// IPaymentService.aidl
package com.qihoo.security.url.payment;

import com.qihoo.security.url.payment.PaymentInfo;

// Declare any non-default types here with import statements

interface IPaymentService {

    /**
     * 支付安全数据记录
     */
    List<PaymentInfo> getPaymentData();

    /**
     * 获取已安装的支付类App
     */
    List<String> getInstalledPaymentApps();

    /**
     * 支付安全数据更新
     */
    void insertOrUpdate(in PaymentInfo info);

    int getProtectDays();
}
